
public class OtherEx {

	public static int sum(int n){
		if(n==1){
			return 1;
		}
		else
			return (sum(n-1)+n);
	}
	
	public static void printArray(int a[],int n){
		if(n==0)
			return;
		else{
			System.out.println(a[a.length-n]);
			printArray(a, n-1);
			
		}
	}
	
	public static int SumOfDigits(int n){
		if((n/10)==0)
			return n;
		else
			return ((n%10)+SumOfDigits(n/10));
		
	}
	
	public static int power(int x,int n ){
		if(n==1 || n==0)
			return x;
		else{
			return x*power(x, n-1);
		}
		
		
	}
	
	public static void main(String[] args) {
	


	}

}
